/**
 * MachForm
 * 
 * © 2007–2025 Appnitro Software. All rights reserved.
 * 
 * This source code is proprietary and may not be copied, modified,
 * or distributed in any form without express written permission from Appnitro Software.
 * 
 * License information: https://www.machform.com/license-agreement/
 */
$(function(){
    
	/***************************************************************************************************************/	
	/* 1. Attach event to 'Save Settings' button																   */
	/***************************************************************************************************************/
	$("#button_save_notification").on('click',function(){
		
		if($("#button_save_notification").text() != 'Saving...'){
				
				//display loader while saving
				$("#button_save_notification").prop("disabled",true);
				$("#button_save_notification").text('Saving...');
				$("#button_save_notification").after("<img style=\"margin-left: 10px\" src='images/loader_small_grey.gif' />");
				
				$("#fa_form").trigger("submit");
		}
		
		
		return false;
	});

	
});